import { ContentProps } from "@/validations/mutual/dashboard/props";
import ContentToRenderNoPage from "@/pages/mutual/noContent/page";
import { resolveWhichPageToRenderSingle } from "@/pages/resolver/resolver";

const PageToBeChildrendSingle: React.FC<ContentProps> = async ({ lang, translations, activePageUrl, mode }) => {
    const ApplicationToRender = await resolveWhichPageToRenderSingle({ activePageUrl })
    if (ApplicationToRender) {
        return <ApplicationToRender lang={lang} translations={translations} activePageUrl={activePageUrl} mode={mode} />
    }
    return <ContentToRenderNoPage lang={lang} />
}

export default PageToBeChildrendSingle
